import { html as l } from "lit";
import { property as i } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (n, t, a, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, a) : t, s = n.length - 1, o; s >= 0; s--)
    (o = n[s]) && (e = (r ? o(t, a, e) : o(e)) || e);
  return r && e && m(t, a, e), e;
};
let p = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--faceUnhappyLarge", this.class = "c-pieIcon c-pieIcon--faceUnhappyLarge", this.name = "IconFaceUnhappyLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--faceUnhappyLarge"><path d="M16 3.75a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5Zm0 22.75a10.5 10.5 0 1 1 0-21 10.5 10.5 0 0 1 0 21Zm-4.375-11.813a1.313 1.313 0 1 1-2.626 0 1.313 1.313 0 0 1 2.626 0Zm11.375 0a1.313 1.313 0 1 1-2.626 0 1.313 1.313 0 0 1 2.626 0Zm-9.713 6.446h-1.846a4.716 4.716 0 0 1 9.118 0h-1.847a2.975 2.975 0 0 0-5.425 0Z"></path></svg>`;
  }
};
c([
  i({ type: String, reflect: !0 })
], p.prototype, "size", 2);
c([
  i({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = c([
  f("icon-face-unhappy-large")
], p);
export {
  p as IconFaceUnhappyLarge
};
